Device Manager

Using Device Manager, you can change your hardware configuration and the way your hardware interacts with your computer's microprocessor.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


Overview

How to...

  • View device information
  • Configure device properties and settings
  • Uninstall and reinstall devices
  • Update and view device drivers


View device information

  • View devices and resource settings
  • View the status of a device
  • View power allocations for USB hubs
  • View bandwidth allocations for a USB host controller
  • Print information about a specific device


View devices and resource settings

To view devices and resource settings

  1. Open Device Manager.
  2. On the View menu, click one of the following:
    Option | Description
    Devices by type | Displays devices by the type of device installed, such as Monitor or Mouse. The connection name is listed below the type. This is the default view.
    Devices by connection | Displays devices by connection type, such as COM1 or System board.
    Resources by type | Displays the status of all allocated resources, direct memory access (DMA) channels, input/output ports (I/O ports), interrupt request (IRQ), and memory addresses, by type of device using these resources.
    Resources by connection | Displays the status of all allocated resources, direct memory access (DMA) channels, input/output ports (I/O ports), interrupt request (IRQ), and memory addresses, by connection type.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • To include hidden devices, on the View menu, click Show hidden devices. A check mark next to Show hidden devices indicates hidden devices are showing. Click it again to clear the check mark. Hidden devices include non-Plug and Play devices (devices with earlier Windows 2000 device drivers) and devices that have been physically removed from the computer but have not had their drivers uninstalled.

Related Topics


View the status of a device

To view the status of a device

  1. Open Device Manager.
  2. Double-click the type of device you want to view.
  3. Right-click the device, and then click Properties.
  4. On the General tab, under Device status is a description of the device status.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • You can also check for any device conflicts by clicking the Resources tab and looking at the Conflicting device list. The Resources tab only appears for devices that require resources.


View power allocations for USB hubs

To view power allocations for USB hubs

  1. Open Device Manager.
  2. Double-click Universal serial bus controller.
  3. Right-click USB Root Hub, and then click Properties.
  4. On the Power tab, view the power consumed by each device in the Devices on this Hub list.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Hubs for universal serial bus (USB) devices are self-powered or bus-powered. Self-powered, or plugging a hub into an electrical outlet, provides maximum power to the device, while bus-powered, plugging a device into another USB port, provides minimum power. Devices requiring a lot of power, such as cameras, should be plugged into self-powered hubs.
  • Universal serial bus controller only appears if you have a USB port on your computer.
  • The Power tab only appears for USB hubs.


View bandwidth allocations for a USB host controller

To view bandwidth allocations for a USB host controller

  1. Open Device Manager.
  2. Double-click Universal serial bus controller.
  3. Right-click Intel PCI to USB Universal Host Controller, and then click Properties.
  4. On the Advanced tab, view the bandwidth consumed by each device in the Bandwidth consuming devices list.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • You can only view bandwidth for a universal serial bus (USB) controller.
  • Universal serial bus controller only appears if you have a USB port on your computer.


Print information about a specific device

To print information about a specific device

  1. Open Device Manager.
  2. Double-click the type of device that you want to print information about, and then click the device.
  3. On the View menu, click Print.
  4. In the Print dialog box, under Report type, click one of the following:
    5. Option | Description
System summary | Prints a summary of the devices that are installed on your computer or the remote computer you are managing. The summary includes the product version number, BUS type, registered owner, and resource information, such as interrupt request (IRQ) usage or input/output (I/O) port usage.
Selected class or device | Prints a report for the device or the hardware type you have selected. The report includes device name, device driver location, version and manufacturer information, and resources allocated to the device, such as I/O ports and memory addresses.
All devices and system summary | Prints a report for each device or hardware type that is installed on your computer and a summary of your system. If you have many devices installed on your system, this could be a large document.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • You can print to a .prn file by selecting the Print to file check box.


Configuring device properties and settings

Configure device properties and settings

  • Enable a device
  • Disable a device
  • Change resource settings for a device
  • Change network adapter settings
  • Change port settings
  • Change PS/2 mouse settings
  • Change IDE controller settings
  • Change advanced settings for DVD drives
  • Change ISDN adapter settings
  • Change power management settings for a device
  • Enable or disable digital CD audio
  • Configure multimedia devices
  • Upgrade from a uniprocessor to a multiprocessor computer


Enable a device

To enable a device

  1. Open Device Manager.
  2. Double-click the type of device that you want to enable.
  3. Right-click the device, and then click Enable.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Enable will only be listed if the device is disabled.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Disable a device

To disable a device

  1. Open Device Manager.
  2. Double-click the type of device that you want to disable.
  3. Right-click the device, and then click Disable.

Important

  • Be careful not to disable one of your start devices. If you disable a required start device such as your hard disk, Windows 2000 may not start.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Disabling a device prevents the device drivers from loading during startup. The physical device may still be present in your computer.
  • After you disable a device and restart your computer, the resources allocated to the device are free and can be allocated to another device.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change resource settings for a device

To change resource settings for a device

  1. Open Device Manager.
  2. Double-click the type of device you want to change, right-click the device, and then click Properties.
  3. On the Resources tab, clear the Use automatic settings check box.
  4. In Setting based on, click the hardware configuration you want to change.
  5. In Resource settings, under Resource type, click the resource type you want to change: direct memory access (DMA), interrupt request (IRQ), input/output (I/O) port, or memory address.
  6. Click Change Setting, and then type a new value for the resource type.
  7. Repeat as necessary.

Important

  • Changing resource settings improperly can disable your hardware and cause your computer to malfunction or to be inoperable. Resource settings should be changed only by users who have expert knowledge of computer hardware and hardware configuration settings.
  • You must be certain that the new values you apply do not conflict with any other devices. Device conflicts, if any, are listed under Conflicting device list.
  • Use automatic settings is unavailable on devices where there are no other settings to configure or on devices that are controlled by Plug and Play resources and should not be changed by the user.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change network adapter settings

To change network adapter settings

  1. Open Device Manager.
  2. Double-click Network adapters.
  3. Right-click the network adapter for which you want to change settings, and then click Properties.
  4. On the Advanced tab, make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Device properties for network adapter cards are device dependent. Read the device manufacturer's instruction manual to determine which settings you need to change.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change port settings

To change port settings

  1. Open Device Manager.
  2. Double-click Ports (COM & LPT).
  3. Right-click the port for which you want to change settings, and then click Properties.
  4. On the Port Settings tab, make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Most Windows 2000 devices that use ports set the port speed themselves. The defaults for modem port speed are specified in Phone and Modem Options in Control Panel.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change PS/2 mouse settings

To change PS/2 mouse settings

  1. Open Device Manager.
  2. Double-click Mice and other pointing devices.
  3. Right-click the PS/2 mouse, and then click Properties.
  4. On the Advanced Settings tab, make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Some of the advanced settings for a PS/2 mouse are device dependent. Read the device manufacturer's instruction manual to determine which settings you can change.
  • For more information on changing other mouse settings, see Related Topics.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change IDE controller settings

To change IDE controller settings

  1. Open Device Manager.
  2. Double-click IDE ATA/ATAPI controllers, right-click the IDE device for which you want to change advanced settings, and then click Properties.
  3. On the Advanced Settings tab, make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • The Advanced Settings tab may not appear for all IDE controller devices.
  • Some of the advanced settings for IDE controllers are device dependent. Read the device manufacturer's instruction manual to determine which settings you can change.
  • You will not be able to change the setting in Device Type if Windows 2000 has already detected an IDE device on an IDE channel. This prevents you from selecting None, which would disable the IDE device. If you want to disable the device, see Related Topics.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change advanced settings for DVD drives

To change advanced settings for DVD drives

  1. Open Device Manager.
  2. Double-click DVD/CD-ROM drives, right-click the DVD drive for which you want to change advanced settings, and then click Properties.
  3. On the Advanced Settings tab, make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • The Advanced Settings tab may not be available for all DVD drives.
  • A country or region setting may be required for your DVD drive. If you need to change your country or region setting, Windows 2000 will automatically notify you. A country or region setting can be changed only five times.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Change ISDN adapter settings

To change ISDN adapter settings

  1. Open Device Manager.
  2. Double-click Network adapters, right-click the Integrated Services Digital Network (ISDN) adapter card for which you want to change settings, and then click Properties.
  3. On the ISDN tab, in the Select the switch type or D-channel protocol list, click a switch type or a D-channel protocol, and then click Configure.
  4. Make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.
  • Your telephone company should provide the information you need to configure ISDN adapter settings.


Change power management settings for a device

To change power management settings for a device

  1. Open Device Manager.
  2. Double-click the device for which you want to change power management settings.
  3. Right-click the device, and then click Properties.
  4. On the Power Management tab, make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • The Power Management tab only appears for devices and drivers that support the power management standards.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Enable or disable digital CD audio

To enable or disable digital CD audio

  1. Open Device Manager.
  2. Double-click DVD/CD-ROM drives, right-click the CD-ROM drive, and then click Properties.
  3. On the Properties tab, select or clear the Enable digital CD audio for this CD-ROM device check box.

    4. This check box enables some CD-ROM drives to digitally read the audio data from an audio CD, and send it to either a sound card or a pair of universal serial bus (USB) speakers. If you have USB speakers, this enables you to listen to CDs.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • You may need to restart your computer after changing this setting.
  • Enabling this feature may improve audio quality because Windows 2000 reads the CD directly, which bypasses the CD-ROM drive's digital-to-analog converters. Directly accessing the CD eliminates any extraneous electrical interference that might leak through the shielding on the cable connecting the CD-ROM drive with the sound card.


Configure multimedia devices

To configure multimedia devices

  1. Open Device Manager.
  2. Double-click Sound, video and game controllers.
  3. Right-click the device that has the multimedia device you want to configure, and then click Properties.
  4. On the Properties tab, locate the type of device, and then double-click it.
  5. Click the device, click Properties, and then make the desired changes.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • The Properties button is available only if you have earlier drivers on your computer. If it appears dimmed, use the Resources tab to configure the device.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Upgrade from a uniprocessor to multiprocessors

To upgrade from a uniprocessor to a multiprocessor computer

  1. Open Device Manager.
  2. Double-click Computer.
  3. Right-click the appropriate computer model, for example, Standard PC, and then click Properties.
  4. On the Driver tab, click Update Driver. This starts the Upgrade Device Driver wizard.
  5. Click Next.
  6. From the Install Hardware Device Drivers page, click Display a list for the known drivers for this device so that I can choose a specific driver. Click Next.
  7. From the Select a Device Driver page, click Show all hardware of this device class.
  8. Click the appropriate computer type from the Models list. Click Next. Click Next again, and then click Finish.

Warning

  • Make sure you upgrade to the appropriate computer model types. Upgrading to the wrong computer model may cause the system to stop responding or fail to start. For example, Standard PC and MPS Uniprocessor PC should only be upgraded to MPS Multiprocessor PC. Advanced Configuration and Power Interface (ACPI) PC and ACPI Uniprocessor PC should only be upgraded to ACPI Multiprocessor PC.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • Perform this procedure if you have a single processor and want to add multiple processors to your computer.


Uninstalling and reinstalling devices

Uninstall and reinstall devices

  • Uninstall a non-Plug and Play device
  • Reinstall a Plug and Play device


Uninstall a non-Plug and Play device

To uninstall a non-Plug and Play device

  1. Open Device Manager.
  2. Double-click the type of device that you want to uninstall.
  3. Right-click the device, and then click Uninstall.
  4. In the Confirm Device Removal dialog box, click OK.
  5. Physically remove the device from your computer, and then restart your computer.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • To reinstall a non-Plug and Play device, click Start, point to Settings, click Control Panel, and then click Add/Remove Hardware to start the Add/Remove Hardware wizard.
  • Uninstalling a device does not remove the device drivers from your computer's hard disk. For example, a docking station needs to have the drivers for when the laptop is plugged in again.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Reinstall a Plug and Play device

To reinstall a Plug and Play device

  1. Open Device Manager.
  2. Double-click the type of device that you want to reinstall.
  3. Right-click the device, and then click Uninstall.
  4. In the Confirm Device Removal dialog box, click OK.

    If you are prompted to restart your computer, do so. When your computer restarts, it will automatically scan for hardware changes, and you may not need to follow steps 5 and 6. The Found New Hardware dialog box should appear automatically. If you restart the computer and the Found New Hardware dialog box does not appear, click Start, point to Settings, click Control Panel, and then double-click Add/Remove Hardware.

  5. On the Action menu, click Scan for hardware changes.
  6. Follow the instructions in the Found New Hardware dialog box.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • You should only reinstall a Plug and Play device if it is not working properly or it has stopped working. Before you reinstall a device, you should try to restart your computer and check to see if the device is functioning properly. If it is not, then try reinstalling the device.
  • If the Found New Hardware dialog box does not appear, then the device is probably a non-Plug and Play device. In this case, you can reinstall the non-Plug and Play device by clicking Start, pointing to Settings, clicking Control Panel, and then double-clicking Add/Remove Hardware.
  • Normally, you do not need to reinstall or uninstall a Plug and Play device. With Plug and Play devices you can simply remove the device from your computer. To remove a device properly, you should follow the device manufacturer's installation/removal instructions.
  • Scan for hardware changes will not reinstall a Plug and Play device if it detects a device and its driver. That is the reason you must uninstall a Plug and Play device before scanning for hardware changes.
  • Uninstalling a device does not remove the device drivers from your computer's hard disk. For example, a docking station needs to have the drivers for when the laptop is plugged in again.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Update and view device drivers

  • Update or change a device driver
  • View information about a device driver
  • Start and stop non-Plug and Play drivers


Update or change a device driver

To update or change a device driver

  1. Open Device Manager.
  2. Double-click the type of device you want to update or change, right-click the device, and then click Properties.
  3. On the Driver tab, click Update Driver to open the Update Device Driver wizard, and then follow the wizard instructions.

Notes

  • The following permissions and privileges are required in order to install a driver. Administrators are granted these permissions:
    • The Load\Unload Drivers privilege.
    • The permissions needed to copy files to the system32\drivers directory.
    • The permissions needed to write settings to the registry.
    Being logged on to your computer with these privileges may make your computer's security vulnerable. For more information on why you should not use administrator privileges unless absolutely necessary, see Related Topics.
  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • To update all drivers at once, use Windows Update. For information about updating your system files using Windows Update, see Related Topics.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


View information about a device driver

To view information about a device driver

  1. Open Device Manager.
  2. Double-click the type of device you want to view.
  3. Right-click the device, and then click Properties.
  4. On the Driver tab, click Driver Details.

Note

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • To view information about hidden device drivers, click View, and then click Show hidden devices. Double-click Non-Plug and Play Drivers, and then follow Steps 3 and 4 above. You must be an administrator or have administrator permissions to show hidden devices.


Start or stop non-Plug and Play drivers

To start or stop non-Plug and Play drivers

  1. Open Device Manager.
  2. Click the View menu, and then click Show hidden devices.
  3. Double-click Non-Plug and Play Drivers, right-click a driver, and then click Properties.
  4. On the Driver tab, click Start or Stop to start or stop the driver protocol. Click OK.

Notes

  • To open Device Manager, click Start, point to Settings, click Control Panel, and then double-click System. Click the Hardware tab, and then click Device Manager.
  • If Start is unavailable, then the driver is already loaded.
  • The Startup Type defaults to the type required by the driver when the driver is first installed. To change the default, the following options are available:
    Type | Description
    Automatic | Starts every time the system starts, after the Boot and System devices start. Click this option for devices that are not critical for basic system operation.
    Boot | Starts every time the system starts, before any other devices start. Click this option for critical devices essential to system operation.
    Demand | Starts when the device is detected or needed for a specific event. Click this option for devices that are not critical for basic system operation or required in device detection.
    System | Starts every time the system starts, after the Boot devices start. Click this option for critical devices essential to system operation.

    Changing the startup type of a Boot or System device can cause the system to become unstable.


Overview

Concepts

This section provides general background information on:

  • Device Manager overview
  • Confinguring devices
  • Uninstalling devices
  • Hardware profiles overview


Device Manager overview

Device Manager provides you with a graphical view of the hardware that is installed on your computer. You can use Device Manager to change the way your hardware is configured as well as the way your hardware interacts with your computer's microprocessor. Using Device Manager, you can:

  • Determine whether the hardware on your computer is working properly.
  • Change hardware configuration settings.
  • Identify the device drivers that are loaded for each device and obtain information about each device driver.
  • Change advanced settings and properties for devices.
  • Install updated device drivers.
  • Disable, enable, and uninstall devices.
  • Identify device conflicts and manually configure resource settings.
  • Print a summary of the devices that are installed on your computer.

Typically you will use Device Manager to check the status of your hardware and update device drivers on your computer. Advanced users who have a thorough understanding of computer hardware will also use Device Manager's diagnostic features to resolve device conflicts and change resource settings.

Important

  • Changing resource settings improperly can disable your hardware and cause your computer to malfunction or be inoperable. Only users who have expert knowledge of computer hardware and hardware configurations should change resource settings.

Notes

  • Ordinarily, you will not need to use Device Manager to change resource settings because resources are allocated automatically by Windows 2000 during hardware setup.
  • You can use Device Manager to manage devices only on a local computer. Device Manager will work only in read-only mode on a remote computer.

For more information, see:

  • Configuring devices
  • Working with MMC console files
  • Uninstalling devices


Concepts

This section provides general information on:

  • Device Manager overview
  • Configuring devices
  • Uninstalling devices
  • Hardware profiles overview